storage "file" {
  path = "/vault/file"
}

listener "tcp" {
  address = "0.0.0.0:8200"
  tls_disable = 1
}

api_addr = "http://0.0.0.0:8200"
path "transit/minio/" {
  type = "transit"
  
  config = {
    key_type              = "aes256-gcm96"
    exportable            = false
    allow_plaintext_backup = false
    deletion_allowed      = false
    min_encryption_version = 0
    min_decryption_version = 1
    derived               = false
    convergent_encryption  = false
  }
}
