
CREATE TABLE IF NOT EXISTS `buckets`  (
                       `bucketname` varchar(255) NOT NULL DEFAULT '',
                        `id` varchar(255) DEFAULT NULL,
                       `usages` bigint(20) DEFAULT NULL
);
CREATE TABLE IF NOT EXISTS `gc` (
                      `bucketname` varchar(255) DEFAULT NULL,
                      `objectname` varchar(1024) DEFAULT NULL,
                      `version` bigint(20)  DEFAULT NULL,
                      `location` varchar(255) DEFAULT NULL,
                      `pool` varchar(255) DEFAULT NULL,
                      `objectid` varchar(255) DEFAULT NULL,
                      `status` varchar(255) DEFAULT NULL,
                      `mtime` datetime DEFAULT NULL,
                      `part` tinyint(1) DEFAULT NULL,
                      `triedtimes` int(11) DEFAULT NULL
);

CREATE TABLE IF NOT EXISTS`gcpart` (
                          `partnumber` int(11) DEFAULT NULL,
                          `size` bigint(20) DEFAULT NULL,
                          `objectid` varchar(255) DEFAULT NULL,
                          `offset` bigint(20) DEFAULT NULL,
                          `etag` varchar(255) DEFAULT NULL,
                          `lastmodified` datetime DEFAULT NULL,
                          `bucketname` varchar(255) DEFAULT NULL,
                          `objectname` varchar(1024) DEFAULT NULL,
                          `version` bigint(20)  DEFAULT NULL
);

CREATE TABLE IF NOT EXISTS `multipartpart` (
                                 `partnumber` int(11) DEFAULT NULL,
                                 `size` bigint(20) DEFAULT NULL,
                                 `objectid` varchar(255) DEFAULT NULL,
                                 `offset` bigint(20) DEFAULT NULL,
                                 `etag` varchar(255) DEFAULT NULL,
                                 `lastmodified` datetime DEFAULT NULL,
                                 `bucketname` varchar(255) DEFAULT NULL,
                                 `objectname` varchar(1024) DEFAULT NULL,
                                 `uploadtime` text  DEFAULT ""
);

CREATE TABLE IF NOT EXISTS `multiparts` (
                              `bucketname` varchar(255) DEFAULT NULL,
                              `objectname` varchar(1024) DEFAULT NULL,
                              `uploadtime` text  DEFAULT "",
                              `initiatorid` varchar(255) DEFAULT NULL,
                              `ownerid` varchar(255) DEFAULT NULL,
                              `contenttype` varchar(255) DEFAULT NULL,
                              `attrs` text  DEFAULT "",
                              `category` tinyint(1) DEFAULT 0,
                              `tags`  varchar(255) DEFAULT  NULL
);

CREATE TABLE IF NOT EXISTS `objectpart` (
                              `partnumber` int(11) DEFAULT NULL,
                              `size` bigint(20) DEFAULT NULL,
                              `objectid` varchar(255) DEFAULT NULL,
                              `offset` bigint(20) DEFAULT NULL,
                              `etag` varchar(255) DEFAULT NULL,
                              `lastmodified` datetime DEFAULT NULL,
                              `bucketname` varchar(255) DEFAULT NULL,
                              `objectname` varchar(1024) DEFAULT NULL,
                              `ownerid` varchar(255) DEFAULT NULL,
                              `version` varchar(255) DEFAULT NULL
);
CREATE TABLE IF NOT EXISTS `objects` (
                           `bucketname` varchar(255) DEFAULT NULL,
                           `name` varchar(1024) DEFAULT NULL,
                           `version` varchar(255)  DEFAULT NULL,
                           `ownerid` varchar(255) DEFAULT NULL,
                           `size` bigint(20) DEFAULT NULL,
                           `objectid` varchar(255) DEFAULT NULL,
                           `lastmodifiedtime` datetime DEFAULT NULL,
                           `etag` varchar(255) DEFAULT NULL,
                           `cid` varchar(255) DEFAULT NULL,
                           `contenttype` varchar(255) DEFAULT NULL,
                           `deletemarker` tinyint(1) DEFAULT NULL,
                           `type` tinyint(1) DEFAULT 0,
                           `cidpending` bool DEFAULT true,
                           `ispin` bool DEFAULT  false,
                           `iscyfs` bool DEFAULT  false,
                           `pinexp` datetime DEFAULT NULL,
                           `cyfsexp` datetime DEFAULT NULL,
                           `oodid`  varchar(255) DEFAULT  NULL,
                           `fileid` varchar(255) DEFAULT  NULL,
                           `ispersistent` bool DEFAULT  false,
                           `thumb` varchar(255) DEFAULT NULL,
                           `category` tinyint(1) DEFAULT 0,
                           `tags`  varchar(255) DEFAULT  NULL,
                           `merkleroot`  varchar(255) DEFAULT NULL,
                           `blocks`  bigint(20) DEFAULT NULL
);
