#!/bin/bash

# Get the container IDs of containers with a specific image name

systemctl stop ood
container_ids=$(docker ps -a --filter "ancestor=buckyos/dec-app-base:v1" --format "{{.ID}}")

for container_id in $container_ids; do
    docker stop "$container_id"
    echo "Stopped container: $container_id" >> /var/log/stop_service.log
done

touch /opt/facmgr/.pin_service
docker stop pin_service
echo "Stopped pin_service container" >> /var/log/stop_service.log

